summaryrefslogtreecommitdiffstats
path: root/network/guacamole-client
diff options
context:
space:
mode:
author Zhu Qun-Ying <zhu.qunying@gmail.com>2015-08-11 12:22:46 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-08-11 23:25:26 +0700
commita4ee0e7b1ba6563496e0b4ed0715ce0ec9b59d2d (patch)
tree1ef26ce3d41f100c00ecf2fde0b5980f76d58286 /network/guacamole-client
parent9b755adec9858478b89e1497d1d00ee4b3bb7d54 (diff)
downloadslackbuilds-a4ee0e7b1ba6563496e0b4ed0715ce0ec9b59d2d.tar.gz
slackbuilds-a4ee0e7b1ba6563496e0b4ed0715ce0ec9b59d2d.tar.xz
network/guacamole-client: Added (Guacamole client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/guacamole-client')
-rw-r--r--network/guacamole-client/README5
-rw-r--r--network/guacamole-client/guacamole-client.SlackBuild94
-rw-r--r--network/guacamole-client/guacamole-client.info10
-rw-r--r--network/guacamole-client/slack-desc19
-rw-r--r--network/guacamole-client/user-mapping.xml-sample36
5 files changed, 164 insertions, 0 deletions
diff --git a/network/guacamole-client/README b/network/guacamole-client/README
new file mode 100644
index 0000000000..b63f2b72ae
--- /dev/null
+++ b/network/guacamole-client/README
@@ -0,0 +1,5 @@
+guacamole-client contains all Java and JavaScript components
+of Guacamole (guacamole, guacamole-common, guacamole-ext,
+and guacamole-common-js).
+
+NOTE: This package will download lots of packages during building.
diff --git a/network/guacamole-client/guacamole-client.SlackBuild b/network/guacamole-client/guacamole-client.SlackBuild
new file mode 100644
index 0000000000..b41cd79c5b
--- /dev/null
+++ b/network/guacamole-client/guacamole-client.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for guacamole-client
+
+# Copyright 2015 Zhu Qun-Ying
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=guacamole-client
+VERSION=${VERSION:-0.9.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+MAVEN=/usr/share/maven/bin/mvn
+TOMCATUSER=${TOMCATUSER:-tomcat}
+TOMCATGROUP=${TOMCATGROUP:-tomcat}
+
+if ! grep ^$TOMCATUSER: /etc/passwd 2>&1 > /dev/null; then
+ echo "AAA"
+ cat <<EOF
+There is no tomcat user "$TOMCATUSER" found. Please set the user name in
+environment variable \$TOMECATUSER.
+EOF
+exit 1
+fi
+
+if ! grep $TOMCATGROUP: /etc/passwd 2>&1 > /dev/null; then
+ cat <<EOF
+There is no tomcat group "$TOMCATGROUP" found. Please set the group name in
+environment variable \$TOMECATGROUP.
+EOF
+exit 1
+fi
+
+TOMCATHOME=`grep $TOMCATUSER /etc/passwd | awk -F : '{print $6}'`
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+$MAVEN package
+mkdir -p $PKG/usr/share/lib/guacamole
+cp guacamole/target/guacamole-0.9.7.war $PKG/usr/share/lib/guacamole
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README LICENSE CONTRIBUTING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/etc/guacamole/
+cat $CWD/user-mapping.xml-sample > $PKG/etc/guacamole/user-mapping.xml-sample
+
+# setup war file and guacamole config directory
+mkdir -p ${PKG}$TOMCATHOME/webapps
+(cd ${PKG}$TOMCATHOME/; ln -s /etc/guacamole .guacamole)
+(cd ${PKG}$TOMCATHOME/webapps; \
+ ln -s /usr/share/lib/guacamole/guacamole-$VERSION.war guacamole.war)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-noarch-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/guacamole-client/guacamole-client.info b/network/guacamole-client/guacamole-client.info
new file mode 100644
index 0000000000..bcae74daac
--- /dev/null
+++ b/network/guacamole-client/guacamole-client.info
@@ -0,0 +1,10 @@
+PRGNAM="guacamole-client"
+VERSION="0.9.7"
+HOMEPAGE="http://guac-dev.org"
+DOWNLOAD="http://sourceforge.net/projects/guacamole/files/current/source/guacamole-client-0.9.7.tar.gz"
+MD5SUM="6d2355ac5a52df62e8eee5bbbe3d49e6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="apache-tomcat apache-maven"
+MAINTAINER="Zhu Qun-Ying"
+EMAIL="zhu.qunying@gmail.com"
diff --git a/network/guacamole-client/slack-desc b/network/guacamole-client/slack-desc
new file mode 100644
index 0000000000..40c2b2a36d
--- /dev/null
+++ b/network/guacamole-client/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler----------------------------------------------|
+guacamole-client: guacamole-client (Guacamole client)
+guacamole-client:
+guacamole-client: guacamole-client contains all Java and JavaScript components
+guacamole-client: of Guacamole (guacamole, guacamole-common, guacamole-ext,
+guacamole-client: and guacamole-common-js).
+guacamole-client:
+guacamole-client: http://guac-dev.org
+guacamole-client:
+guacamole-client:
+guacamole-client:
+guacamole-client:
diff --git a/network/guacamole-client/user-mapping.xml-sample b/network/guacamole-client/user-mapping.xml-sample
new file mode 100644
index 0000000000..2b7b74e312
--- /dev/null
+++ b/network/guacamole-client/user-mapping.xml-sample
@@ -0,0 +1,36 @@
+<user-mapping>
+
+ <!-- Per-user authentication and config information -->
+ <authorize username="USERNAME" password="PASSWORD">
+ <protocol>vnc</protocol>
+ <param name="hostname">localhost</param>
+ <param name="port">5900</param>
+ <param name="password">VNCPASS</param>
+ </authorize>
+
+ <!-- Another user, but using md5 to hash the password
+ (example below uses the md5 hash of "PASSWORD") -->
+ <authorize
+ username="USERNAME2"
+ password="319f4d26e3c536b5dd871bb2c52e3178"
+ encoding="md5">
+
+ <!-- First authorized connection -->
+ <connection name="localhost">
+ <protocol>vnc</protocol>
+ <param name="hostname">localhost</param>
+ <param name="port">5901</param>
+ <param name="password">VNCPASS</param>
+ </connection>
+
+ <!-- Second authorized connection -->
+ <connection name="otherhost">
+ <protocol>vnc</protocol>
+ <param name="hostname">otherhost</param>
+ <param name="port">5900</param>
+ <param name="password">VNCPASS</param>
+ </connection>
+
+ </authorize>
+
+</user-mapping>